## AgsSequencerThread

AgsSequencerThread — sequencer thread

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_sequencer_thread_interval_timeout ()
AgsSequencerThread * | ags_sequencer_thread_find_sequencer ()
AgsSequencerThread * | ags_sequencer_thread_new ()

## Properties

GObject * | sequencer | Read / Write

## Signals

void | interval-timeout | Run Last

## Types and Values

#define | AGS_SEQUENCER_THREAD_DEFAULT_JIFFIE

## Object Hierarchy

        GObject
        ╰── AgsThread
            ╰── AgsSequencerThread

## Includes

    #include <ags/thread/ags_sequencer_thread.h>

## Description

The AgsSequencerThread acts as midi input thread.

## Functions

### ags_sequencer_thread_interval_timeout ()

    void
    ags_sequencer_thread_interval_timeout (AgsSequencerThread *sequencer_thread);

### ags_sequencer_thread_find_sequencer ()

    AgsSequencerThread *
    ags_sequencer_thread_find_sequencer (AgsSequencerThread *sequencer_thread,
                                         GObject *sequencer);

Find `sequencer` as sibling of `sequencer_thread` , if it was found on the returned thread should be called `g_object_unref()`.

#### Parameters

sequencer_thread | the AgsSequencerThread |
sequencer | the AgsSequencer to find |

#### Returns

the matching AgsSequencerThread, if not found `NULL`.

[transfer full]

Since: 3.0.0

### ags_sequencer_thread_new ()

    AgsSequencerThread *
    ags_sequencer_thread_new (GObject *sequencer);

Create a new instance of AgsSequencerThread.

#### Parameters

sequencer | the AgsSequencer |

#### Returns

the new AgsSequencerThread

Since: 3.0.0

## Types and Values

### AGS_SEQUENCER_THREAD_DEFAULT_JIFFIE

    #define AGS_SEQUENCER_THREAD_DEFAULT_JIFFIE (ceil(AGS_SOUNDCARD_DEFAULT_SAMPLERATE / AGS_SOUNDCARD_DEFAULT_BUFFER_SIZE) + AGS_SOUNDCARD_DEFAULT_OVERCLOCK)

## Property Details

### The `“sequencer”` property

      “sequencer”                GObject *

The assigned AgsSequencer.

Owner: AgsSequencerThread

Flags: Read / Write

Since: 3.0.0

## Signal Details

### The `“interval-timeout”` signal

    void
    user_function (AgsSequencerThread *agssequencerthread,
                   gpointer            user_data)

Flags: Run Last